package foodplanet.data.manager;

import java.util.HashMap;
import java.util.Map;
import javax.sql.DataSource;
import org.springframework.jdbc.core.simple.SimpleJdbcDaoSupport;

public class SpringDataManager extends SimpleJdbcDaoSupport implements DataManager{
    private Map<String,String> statements = null;
    
    public SpringDataManager() {
        statements = new HashMap<String,String>();
    }

    public void setSqlStatements(Map<String, String> statements) {
        this.statements = statements;
    }

    public String getNamedSql(String name) {
        return (statements != null)? statements.get(name) : null;
    }

}
